Bug 171480 - Update port multimedia/cx88 to 1.4.4
Summary: Update port multimedia/cx88 to 1.4.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-09 00:40 UTC by jason.harmening
Modified: 2012-09-19 00:40 UTC (History)
0 users

See Also:


Attachments
file.diff (3.49 KB, patch)
2012-09-09 00:40 UTC, jason.harmening
no flags Details | Diff
cx88.diff (2.34 KB, patch)
2012-09-17 22:47 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jason.harmening 2012-09-09 00:40:07 UTC
--enable MSIs by default for PCIe devices
--add dynamic port and timer configuration to capture app
--add cx88d rc script to automatically create DVB interfaces

Fix: Patch attached with submission follows:
Comment 1 Guido Falsi freebsd_committer 2012-09-14 18:46:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 2 Guido Falsi freebsd_committer 2012-09-17 22:47:33 UTC
Hi!

Thanks for your work as a maintainer!

I have modified your port a little. Is there a specific reason why you 
replicate LIB_DEPENDS in the RUN_DEPENDS?

It should not be necessary, LIB_DEPENDS are checked at build time, 
install time and registered in the pkg, so they are already registered 
as run dependencies.

Could you have a look at the attached patch and see if you can approve it?

Thanks!

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 3 Guido Falsi freebsd_committer 2012-09-17 22:55:13 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 4 Guido Falsi freebsd_committer 2012-09-18 07:26:02 UTC
State Changed
From-To: feedback->open

Maintainer answered in private email stating preference for his own 
patch.
Comment 5 Guido Falsi freebsd_committer 2012-09-19 00:34:59 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 6 dfilter service freebsd_committer 2012-09-19 00:35:01 UTC
Author: madpilot
Date: Tue Sep 18 23:34:46 2012
New Revision: 304474
URL: http://svn.freebsd.org/changeset/ports/304474

Log:
  - Update to version 1.4.4
  - Trim Makefile Headers
  
  New in this version:
  
   - Enable MSIs by default for PCIe devices
   - Add dynamic port and timer configuration to capture app
   - Add cx88d rc script to automatically create DVB interfaces
  
  PR:		ports/171480
  Submitted by: 	Jason Harmening <jason.harmening@gmail.com>
  Approved by:	crees (mentor)

Modified:
  head/multimedia/cx88/Makefile   (contents, props changed)
  head/multimedia/cx88/distinfo   (contents, props changed)
  head/multimedia/cx88/pkg-plist   (contents, props changed)

Modified: head/multimedia/cx88/Makefile
==============================================================================
--- head/multimedia/cx88/Makefile	Tue Sep 18 23:05:43 2012	(r304473)
+++ head/multimedia/cx88/Makefile	Tue Sep 18 23:34:46 2012	(r304474)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:   cx88
-# Date created:        7 September 2008
-# Whom:                jah
-#
+# Created-by: jah
 # $FreeBSD$
-#
 
 PORTNAME=	cx88
-PORTVERSION=	1.4.3
+PORTVERSION=	1.4.4
 CATEGORIES=	multimedia kld
 MASTER_SITES=	ftp://corona.homeunix.net/ports/cx88/
 
@@ -34,8 +30,6 @@ OPTIONS_DEFAULT=	LINUX_COMPAT
 
 .include <bsd.port.options.mk>
 
-.include <bsd.port.pre.mk>
-
 .if ${PORT_OPTIONS:MDEBUG}
 MAKE_ARGS+=	DIAGNOSTIC=0x7f
 .endif
@@ -56,6 +50,8 @@ MAKE_ARGS+=	-D WITH_HAL
 .endif
 .endif
 
+MAKE_ARGS+=	DEFAULT_XML_CONFIG="${EXAMPLESDIR}/cx88.xml.sample"
+
 .if (${OSVERSION} < 704000) || ((${OSVERSION} >= 800000) && (${OSVERSION} < 801000))
 IGNORE=	requires kernel support for kmem_alloc_attr() (FreeBSD 7.4+, FreeBSD 8.1+)
 .endif
@@ -64,4 +60,4 @@ IGNORE=	requires kernel support for kmem
 IGNORE=		requires kernel source files
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/multimedia/cx88/distinfo
==============================================================================
--- head/multimedia/cx88/distinfo	Tue Sep 18 23:05:43 2012	(r304473)
+++ head/multimedia/cx88/distinfo	Tue Sep 18 23:34:46 2012	(r304474)
@@ -1,2 +1,2 @@
-SHA256 (cx88-1.4.3.tar.gz) = 5955ea85157faa049ac1977c11815f967b6006ebe7e9b4602b71452087834411
-SIZE (cx88-1.4.3.tar.gz) = 186964
+SHA256 (cx88-1.4.4.tar.gz) = 57a04ab9639ed8b09d00859c69ca0eafe1ab62f668fc93b236f1d28533aed995
+SIZE (cx88-1.4.4.tar.gz) = 189060

Modified: head/multimedia/cx88/pkg-plist
==============================================================================
--- head/multimedia/cx88/pkg-plist	Tue Sep 18 23:05:43 2012	(r304473)
+++ head/multimedia/cx88/pkg-plist	Tue Sep 18 23:34:46 2012	(r304474)
@@ -8,6 +8,7 @@ bin/cx88
 %%EXAMPLESDIR%%/cx88_audio_client.cpp
 %%EXAMPLESDIR%%/hd3k_analog_ubuf.cpp
 %%EXAMPLESDIR%%/hd5k_analog_ubuf.cpp
+etc/rc.d/cx88d
 include/iicdev/iicdev_ioctl.h
 include/cx88/cx88_common_ioctl.h
 include/cx88/cx88_mpeg_ioctl.h
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"